Loading...
Searching...
No Matches
hwcontext_drm.h File Reference

API-specific header for AV_HWDEVICE_TYPE_DRM. More...

`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | AVDRMObjectDescriptor
| DRM object descriptor. More...
struct | AVDRMPlaneDescriptor
| DRM plane descriptor. More...
struct | AVDRMLayerDescriptor
| DRM layer descriptor. More...
struct | AVDRMFrameDescriptor
| DRM frame descriptor. More...
struct | AVDRMDeviceContext
| DRM device. More...

## Enumerations

enum | { AV_DRM_MAX_PLANES = 4 }

## Detailed Description

API-specific header for AV_HWDEVICE_TYPE_DRM.

Internal frame allocation is not currently supported - all frames must be allocated by the user. Thus AVHWFramesContext is always NULL, though this may change if support for frame allocation is added in future.

Definition in file hwcontext_drm.h.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
AV_DRM_MAX_PLANES | The maximum number of layers/planes in a DRM frame.

Definition at line 35 of file hwcontext_drm.h.